Page MenuHomePhabricator

Don't request image resizes from the API if we already have a larger image in the cache
Closed, ResolvedPublic1 Estimated Story Points

Description

Image resizing in the browser is pretty good these days so if we have a large image there's no need to fetch a smaller one from the API. For images which are originally tens of megapixels this places a large strain on the servers.

Event Timeline

Esanders created this task.Feb 1 2015, 8:28 PM
Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2015, 8:28 PM
gerritbot added a subscriber: gerritbot.

Change 187967 had a related patch set uploaded (by Esanders):
Only re-render if the images is larger than the last rendering

https://gerrit.wikimedia.org/r/187967

Patch-For-Review

Jdforrester-WMF triaged this task as Medium priority.Feb 2 2015, 3:59 AM

Change 187967 merged by jenkins-bot:
Only re-render if the images is larger than the last rendering

https://gerrit.wikimedia.org/r/187967

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Feb 2 2015, 7:07 PM
Jdforrester-WMF closed this task as Resolved.Feb 2 2015, 10:03 PM
Jdforrester-WMF removed a project: Patch-For-Review.
ori moved this task from Backlog to Done on the VisualEditor-Performance board.Feb 19 2015, 2:29 AM
Jdforrester-WMF edited a custom field.Mar 9 2015, 6:08 PM